-- phpMyAdmin SQL Dump
-- version 4.5.2
-- http://www.phpmyadmin.net
--
-- Host: 127.0.0.1
-- Generation Time: Feb 22, 2017 at 07:13 PM
-- Server version: 5.7.9
-- PHP Version: 5.6.16

SET SQL_MODE = "NO_AUTO_VALUE_ON_ZERO";
SET time_zone = "+00:00";


/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40101 SET NAMES utf8mb4 */;

--
-- Database: `timesheet`
--

-- --------------------------------------------------------

--
-- Table structure for table `t_client`
--

DROP TABLE IF EXISTS `t_client`;
CREATE TABLE IF NOT EXISTS `t_client` (
  `ClientID` bigint(20) NOT NULL,
  `Name` longtext NOT NULL,
  `SiteID` bigint(20) NOT NULL,
  `Description` longtext CHARACTER SET utf8mb4,
  `URL` longtext CHARACTER SET utf8mb4,
  PRIMARY KEY (`ClientID`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

--
-- Dumping data for table `t_client`
--

INSERT INTO `t_client` (`ClientID`, `Name`, `SiteID`, `Description`, `URL`) VALUES
(1, 'Aviva Investors', 1, NULL, NULL),
(2, 'BOC', 1, NULL, NULL);

-- --------------------------------------------------------

--
-- Table structure for table `t_clientsite`
--

DROP TABLE IF EXISTS `t_clientsite`;
CREATE TABLE IF NOT EXISTS `t_clientsite` (
  `ClientSiteID` bigint(20) NOT NULL,
  `ClientID` bigint(20) NOT NULL,
  `SiteName` longtext CHARACTER SET utf8mb4,
  `Address1` longtext CHARACTER SET utf8mb4,
  `Address2` longtext CHARACTER SET utf8mb4,
  `City` longtext CHARACTER SET utf8mb4,
  `County` longtext CHARACTER SET utf8mb4,
  `Postcode` longtext CHARACTER SET utf8mb4,
  `CountryID` bigint(20) DEFAULT NULL,
  `ContactFirstName` longtext,
  `ContactLastName` longtext,
  `ContactEmail` longtext,
  `ContactPhoneNumber` longtext,
  PRIMARY KEY (`ClientSiteID`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

--
-- Dumping data for table `t_clientsite`
--

INSERT INTO `t_clientsite` (`ClientSiteID`, `ClientID`, `SiteName`, `Address1`, `Address2`, `City`, `County`, `Postcode`, `CountryID`, `ContactFirstName`, `ContactLastName`, `ContactEmail`, `ContactPhoneNumber`) VALUES
(1, 1, 'Head Office', '1 Poultry', NULL, 'London', '', 'EC2V 6ET', 826, NULL, NULL, NULL, NULL),
(2, 2, 'UK Head Office', 'Surrey Research Park', '10 Priestley Road', 'Guildford', 'Surrey', 'GU2 7XY', 826, NULL, NULL, NULL, NULL);

-- --------------------------------------------------------

--
-- Table structure for table `t_country`
--

DROP TABLE IF EXISTS `t_country`;
CREATE TABLE IF NOT EXISTS `t_country` (
  `CountryID` char(3) NOT NULL,
  `CountryNameLowerCase` varchar(50) CHARACTER SET utf8mb4 NOT NULL,
  `CountryNameUpperCase` varchar(50) CHARACTER SET utf8mb4 NOT NULL,
  `ISO_ALPHA3` char(3) NOT NULL,
  `ISO_ALPHA2` char(2) NOT NULL,
  PRIMARY KEY (`CountryID`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

--
-- Dumping data for table `t_country`
--

INSERT INTO `t_country` (`CountryID`, `CountryNameLowerCase`, `CountryNameUpperCase`, `ISO_ALPHA3`, `ISO_ALPHA2`) VALUES
('004', 'Afghanistan', 'AFGHANISTAN', 'AFG', 'AF'),
('008', 'Albania', 'ALBANIA', 'ALB', 'AL'),
('012', 'Algeria', 'ALGERIA', 'DZA', 'DZ'),
('016', 'American Samoa', 'AMERICAN SAMOA', 'ASM', 'AS'),
('020', 'Andorra', 'ANDORRA', 'AND', 'AD'),
('024', 'Angola', 'ANGOLA', 'AGO', 'AO'),
('028', 'Antigua and Barbuda', 'ANTIGUA AND BARBUDA', 'ATG', 'AG'),
('031', 'Azerbaijan', 'AZERBAIJAN', 'AZE', 'AZ'),
('032', 'Argentina', 'ARGENTINA', 'ARG', 'AR'),
('036', 'Australia', 'AUSTRALIA', 'AUS', 'AU'),
('040', 'Austria', 'AUSTRIA', 'AUT', 'AT'),
('044', 'Bahamas', 'BAHAMAS', 'BHS', 'BS'),
('048', 'Bahrain', 'BAHRAIN', 'BHR', 'BH'),
('050', 'Bangladesh', 'BANGLADESH', 'BGD', 'BD'),
('051', 'Armenia', 'ARMENIA', 'ARM', 'AM'),
('052', 'Barbados', 'BARBADOS', 'BRB', 'BB'),
('056', 'Belgium', 'BELGIUM', 'BEL', 'BE'),
('060', 'Bermuda', 'BERMUDA', 'BMU', 'BM'),
('064', 'Bhutan', 'BHUTAN', 'BTN', 'BT'),
('068', 'Bolivia (Plurinational State of)', 'BOLIVIA, PLURINATIONAL STATE OF', 'BOL', 'BO'),
('070', 'Bosnia and Herzegovina', 'BOSNIA AND HERZEGOVINA', 'BIH', 'BA'),
('072', 'Botswana', 'BOTSWANA', 'BWA', 'BW'),
('076', 'Brazil', 'BRAZIL', 'BRA', 'BR'),
('084', 'Belize', 'BELIZE', 'BLZ', 'BZ'),
('092', 'British Virgin Islands', 'BRITISH INDIAN OCEAN TERRITORY', 'VGB', 'IO'),
('096', 'Brunei Darussalam', 'BRUNEI DARUSSALAM', 'BRN', 'BN'),
('100', 'Bulgaria', 'BULGARIA', 'BGR', 'BG'),
('104', 'Myanmar', 'MYANMAR', 'MMR', 'MM'),
('108', 'Burundi', 'BURUNDI', 'BDI', 'BI'),
('112', 'Belarus', 'BELARUS', 'BLR', 'BY'),
('116', 'Cambodia', 'CAMBODIA', 'KHM', 'KH'),
('120', 'Cameroon', 'CAMEROON', 'CMR', 'CM'),
('124', 'Canada', 'CANADA', 'CAN', 'CA'),
('132', 'Cape Verde', 'CAPE VERDE', 'CPV', 'CV'),
('136', 'Cayman Islands', 'CAYMAN ISLANDS', 'CYM', 'KY'),
('140', 'Central African Republic', 'CENTRAL AFRICAN REPUBLIC', 'CAF', 'CF'),
('144', 'Sri Lanka', 'SRI LANKA', 'LKA', 'LK'),
('148', 'Chad', 'CHAD', 'TCD', 'TD'),
('152', 'Chile', 'CHILE', 'CHL', 'CL'),
('156', 'China', 'CHINA', 'CHN', 'CN'),
('170', 'Colombia', 'COLOMBIA', 'COL', 'CO'),
('174', 'Comoros', 'COMOROS', 'COM', 'KM'),
('175', 'Mayotte', 'MAYOTTE', 'MYT', 'YT'),
('178', 'Congo', 'CONGO', 'COG', 'CG'),
('180', 'Democratic Republic of the Congo', 'CONGO, THE DEMOCRATIC REPUBLIC OF THE', 'COD', 'CD'),
('184', 'Cook Islands', 'COOK ISLANDS', 'COK', 'CK'),
('188', 'Costa Rica', 'COSTA RICA', 'CRI', 'CR'),
('191', 'Croatia', 'CROATIA', 'HRV', 'HR'),
('192', 'Cuba', 'CUBA', 'CUB', 'CU'),
('196', 'Cyprus', 'CYPRUS', 'CYP', 'CY'),
('203', 'Czech Republic', 'CZECH REPUBLIC', 'CZE', 'CZ'),
('204', 'Benin', 'BENIN', 'BEN', 'BJ'),
('208', 'Denmark', 'DENMARK', 'DNK', 'DK'),
('212', 'Dominica', 'DOMINICA', 'DMA', 'DM'),
('214', 'Dominican Republic', 'DOMINICAN REPUBLIC', 'DOM', 'DO'),
('218', 'Ecuador', 'ECUADOR', 'ECU', 'EC'),
('222', 'El Salvador', 'EL SALVADOR', 'SLV', 'SV'),
('226', 'Equatorial Guinea', 'EQUATORIAL GUINEA', 'GNQ', 'GQ'),
('231', 'Ethiopia', 'ETHIOPIA', 'ETH', 'ET'),
('232', 'Eritrea', 'ERITREA', 'ERI', 'ER'),
('233', 'Estonia', 'ESTONIA', 'EST', 'EE'),
('234', 'Faeroe Islands', 'FAROE ISLANDS', 'FRO', 'FO'),
('238', 'Falkland Islands (Malvinas)', 'FALKLAND ISLANDS (MALVINAS)', 'FLK', 'FK'),
('242', 'Fiji', 'FIJI', 'FJI', 'FJ'),
('246', 'Finland', 'FINLAND', 'FIN', 'FI'),
('248', 'Ã…land Islands', 'Ã…LAND ISLANDS', 'ALA', 'AX'),
('250', 'France', 'FRANCE', 'FRA', 'FR'),
('254', 'French Guiana', 'FRENCH GUIANA', 'GUF', 'GF'),
('258', 'French Polynesia', 'FRENCH POLYNESIA', 'PYF', 'PF'),
('262', 'Djibouti', 'DJIBOUTI', 'DJI', 'DJ'),
('266', 'Gabon', 'GABON', 'GAB', 'GA'),
('268', 'Georgia', 'GEORGIA', 'GEO', 'GE'),
('270', 'Gambia', 'GAMBIA', 'GMB', 'GM'),
('275', 'Occupied Palestinian Territory', 'PALESTINIAN TERRITORY, OCCUPIED', 'PSE', 'PS'),
('276', 'Germany', 'GERMANY', 'DEU', 'DE'),
('288', 'Ghana', 'GHANA', 'GHA', 'GH'),
('292', 'Gibraltar', 'GIBRALTAR', 'GIB', 'GI'),
('296', 'Kiribati', 'KIRIBATI', 'KIR', 'KI'),
('300', 'Greece', 'GREECE', 'GRC', 'GR'),
('304', 'Greenland', 'GREENLAND', 'GRL', 'GL'),
('308', 'Grenada', 'GRENADA', 'GRD', 'GD'),
('312', 'Guadeloupe', 'GUADELOUPE', 'GLP', 'GP'),
('316', 'Guam', 'GUAM', 'GUM', 'GU'),
('320', 'Guatemala', 'GUATEMALA', 'GTM', 'GT'),
('324', 'Guinea', 'GUINEA', 'GIN', 'GN'),
('328', 'Guyana', 'GUYANA', 'GUY', 'GY'),
('332', 'Haiti', 'HAITI', 'HTI', 'HT'),
('336', 'Holy See', 'HOLY SEE (VATICAN CITY STATE)', 'VAT', 'VA'),
('340', 'Honduras', 'HONDURAS', 'HND', 'HN'),
('344', 'China, Hong Kong Special Administrative Region', 'HONG KONG', 'HKG', 'HK'),
('348', 'Hungary', 'HUNGARY', 'HUN', 'HU'),
('352', 'Iceland', 'ICELAND', 'ISL', 'IS'),
('356', 'India', 'INDIA', 'IND', 'IN'),
('360', 'Indonesia', 'INDONESIA', 'IDN', 'ID'),
('364', 'Iran (Islamic Republic of)', 'IRAN, ISLAMIC REPUBLIC OF', 'IRN', 'IR'),
('368', 'Iraq', 'IRAQ', 'IRQ', 'IQ'),
('372', 'Ireland', 'IRELAND', 'IRL', 'IE'),
('376', 'Israel', 'ISRAEL', 'ISR', 'IL'),
('380', 'Italy', 'ITALY', 'ITA', 'IT'),
('384', 'CÃ´te d''Ivoire', 'CÃ”TE D''IVOIRE', 'CIV', 'CI'),
('388', 'Jamaica', 'JAMAICA', 'JAM', 'JM'),
('392', 'Japan', 'JAPAN', 'JPN', 'JP'),
('398', 'Kazakhstan', 'KAZAKHSTAN', 'KAZ', 'KZ'),
('400', 'Jordan', 'JORDAN', 'JOR', 'JO'),
('404', 'Kenya', 'KENYA', 'KEN', 'KE'),
('408', 'Democratic People''s Republic of Korea', 'KOREA, DEMOCRATIC PEOPLE''S REPUBLIC OF', 'PRK', 'KP'),
('410', 'Republic of Korea', 'KOREA, REPUBLIC OF', 'KOR', 'KR'),
('414', 'Kuwait', 'KUWAIT', 'KWT', 'KW'),
('417', 'Kyrgyzstan', 'KYRGYZSTAN', 'KGZ', 'KG'),
('418', 'Lao People''s Democratic Republic', 'LAO PEOPLE''S DEMOCRATIC REPUBLIC', 'LAO', 'LA'),
('422', 'Lebanon', 'LEBANON', 'LBN', 'LB'),
('426', 'Lesotho', 'LESOTHO', 'LSO', 'LS'),
('428', 'Latvia', 'LATVIA', 'LVA', 'LV'),
('430', 'Liberia', 'LIBERIA', 'LBR', 'LR'),
('434', 'Libya', 'LIBYA', 'LBY', 'LY'),
('438', 'Liechtenstein', 'LIECHTENSTEIN', 'LIE', 'LI'),
('440', 'Lithuania', 'LITHUANIA', 'LTU', 'LT'),
('442', 'Luxembourg', 'LUXEMBOURG', 'LUX', 'LU'),
('446', 'China, Macao Special Administrative Region', 'MACAO', 'MAC', 'MO'),
('450', 'Madagascar', 'MADAGASCAR', 'MDG', 'MG'),
('454', 'Malawi', 'MALAWI', 'MWI', 'MW'),
('458', 'Malaysia', 'MALAYSIA', 'MYS', 'MY'),
('462', 'Maldives', 'MALDIVES', 'MDV', 'MV'),
('466', 'Mali', 'MALI', 'MLI', 'ML'),
('470', 'Malta', 'MALTA', 'MLT', 'MT'),
('474', 'Martinique', 'MARTINIQUE', 'MTQ', 'MQ'),
('478', 'Mauritania', 'MAURITANIA', 'MRT', 'MR'),
('480', 'Mauritius', 'MAURITIUS', 'MUS', 'MU'),
('484', 'Mexico', 'MEXICO', 'MEX', 'MX'),
('492', 'Monaco', 'MONACO', 'MCO', 'MC'),
('496', 'Mongolia', 'MONGOLIA', 'MNG', 'MN'),
('498', 'Republic of Moldova', 'MOLDOVA, REPUBLIC OF', 'MDA', 'MD'),
('499', 'Montenegro', 'MONTENEGRO', 'MNE', 'ME'),
('500', 'Montserrat', 'MONTSERRAT', 'MSR', 'MS'),
('504', 'Morocco', 'MOROCCO', 'MAR', 'MA'),
('508', 'Mozambique', 'MOZAMBIQUE', 'MOZ', 'MZ'),
('512', 'Oman', 'OMAN', 'OMN', 'OM'),
('516', 'Namibia', 'NAMIBIA', 'NAM', 'NA'),
('520', 'Nauru', 'NAURU', 'NRU', 'NR'),
('524', 'Nepal', 'NEPAL', 'NPL', 'NP'),
('528', 'Netherlands', 'NETHERLANDS', 'NLD', 'NL'),
('531', 'CuraÃ§ao', 'CURAÃ‡AO', 'CUW', 'CW'),
('533', 'Aruba', 'ARUBA', 'ABW', 'AW'),
('534', 'Sint Maarten (Dutch part)', 'SINT MAARTEN (DUTCH PART)', 'SXM', 'SX'),
('535', 'Bonaire, Saint Eustatius and Saba', 'BONAIRE, SINT EUSTATIUS AND SABA', 'BES', 'BQ'),
('540', 'New Caledonia', 'NEW CALEDONIA', 'NCL', 'NC'),
('548', 'Vanuatu', 'VANUATU', 'VUT', 'VU'),
('554', 'New Zealand', 'NEW ZEALAND', 'NZL', 'NZ'),
('558', 'Nicaragua', 'NICARAGUA', 'NIC', 'NI'),
('562', 'Niger', 'NIGER', 'NER', 'NE'),
('566', 'Nigeria', 'NIGERIA', 'NGA', 'NG'),
('570', 'Niue', 'NIUE', 'NIU', 'NU'),
('574', 'Norfolk Island', 'NORFOLK ISLAND', 'NFK', 'NF'),
('578', 'Norway', 'NORWAY', 'NOR', 'NO'),
('580', 'Northern Mariana Islands', 'NORTHERN MARIANA ISLANDS', 'MNP', 'MP'),
('583', 'Micronesia (Federated States of)', 'MICRONESIA, FEDERATED STATES OF', 'FSM', 'FM'),
('584', 'Marshall Islands', 'MARSHALL ISLANDS', 'MHL', 'MH'),
('585', 'Palau', 'PALAU', 'PLW', 'PW'),
('586', 'Pakistan', 'PAKISTAN', 'PAK', 'PK'),
('591', 'Panama', 'PANAMA', 'PAN', 'PA'),
('598', 'Papua New Guinea', 'PAPUA NEW GUINEA', 'PNG', 'PG'),
('600', 'Paraguay', 'PARAGUAY', 'PRY', 'PY'),
('604', 'Peru', 'PERU', 'PER', 'PE'),
('608', 'Philippines', 'PHILIPPINES', 'PHL', 'PH'),
('612', 'Pitcairn', 'PITCAIRN', 'PCN', 'PN'),
('616', 'Poland', 'POLAND', 'POL', 'PL'),
('620', 'Portugal', 'PORTUGAL', 'PRT', 'PT'),
('624', 'Guinea-Bissau', 'GUINEA-BISSAU', 'GNB', 'GW'),
('626', 'Timor-Leste', 'TIMOR-LESTE', 'TLS', 'TL'),
('630', 'Puerto Rico', 'PUERTO RICO', 'PRI', 'PR'),
('634', 'Qatar', 'QATAR', 'QAT', 'QA'),
('638', 'RÃ©union', 'RÃ‰UNION', 'REU', 'RE'),
('642', 'Romania', 'ROMANIA', 'ROU', 'RO'),
('643', 'Russian Federation', 'RUSSIAN FEDERATION', 'RUS', 'RU'),
('646', 'Rwanda', 'RWANDA', 'RWA', 'RW'),
('652', 'Saint-BarthÃ©lemy', 'SAINT BARTHÃ‰LEMY', 'BLM', 'BL'),
('654', 'Saint Helena', 'SAINT HELENA, ASCENSION AND TRISTAN DA CUNHA', 'SHN', 'SH'),
('659', 'Saint Kitts and Nevis', 'SAINT KITTS AND NEVIS', 'KNA', 'KN'),
('660', 'Anguilla', 'ANGUILLA', 'AIA', 'AI'),
('662', 'Saint Lucia', 'SAINT LUCIA', 'LCA', 'LC'),
('663', 'Saint-Martin (French part)', 'SAINT MARTIN (FRENCH PART)', 'MAF', 'MF'),
('666', 'Saint Pierre and Miquelon', 'SAINT PIERRE AND MIQUELON', 'SPM', 'PM'),
('670', 'Saint Vincent and the Grenadines', 'SAINT VINCENT AND THE GRENADINES', 'VCT', 'VC'),
('674', 'San Marino', 'SAN MARINO', 'SMR', 'SM'),
('678', 'Sao Tome and Principe', 'SAO TOME AND PRINCIPE', 'STP', 'ST'),
('682', 'Saudi Arabia', 'SAUDI ARABIA', 'SAU', 'SA'),
('686', 'Senegal', 'SENEGAL', 'SEN', 'SN'),
('688', 'Serbia', 'SERBIA', 'SRB', 'RS'),
('690', 'Seychelles', 'SEYCHELLES', 'SYC', 'SC'),
('694', 'Sierra Leone', 'SIERRA LEONE', 'SLE', 'SL'),
('702', 'Singapore', 'SINGAPORE', 'SGP', 'SG'),
('703', 'Slovakia', 'SLOVAKIA', 'SVK', 'SK'),
('704', 'Viet Nam', 'VIET NAM', 'VNM', 'VN'),
('705', 'Slovenia', 'SLOVENIA', 'SVN', 'SI'),
('706', 'Somalia', 'SOMALIA', 'SOM', 'SO'),
('710', 'South Africa', 'SOUTH AFRICA', 'ZAF', 'ZA'),
('716', 'Zimbabwe', 'ZIMBABWE', 'ZWE', 'ZW'),
('724', 'Spain', 'SPAIN', 'ESP', 'ES'),
('728', 'South Sudan', 'SOUTH SUDAN', 'SSD', 'SS'),
('729', 'Sudan', 'SUDAN', 'SDN', 'SD'),
('732', 'Western Sahara', 'WESTERN SAHARA', 'ESH', 'EH'),
('740', 'Suriname', 'SURINAME', 'SUR', 'SR'),
('744', 'Svalbard and Jan Mayen Islands', 'SVALBARD AND JAN MAYEN', 'SJM', 'SJ'),
('748', 'Swaziland', 'SWAZILAND', 'SWZ', 'SZ'),
('752', 'Sweden', 'SWEDEN', 'SWE', 'SE'),
('756', 'Switzerland', 'SWITZERLAND', 'CHE', 'CH'),
('760', 'Syrian Arab Republic', 'SYRIAN ARAB REPUBLIC', 'SYR', 'SY'),
('762', 'Tajikistan', 'TAJIKISTAN', 'TJK', 'TJ'),
('764', 'Thailand', 'THAILAND', 'THA', 'TH'),
('768', 'Togo', 'TOGO', 'TGO', 'TG'),
('772', 'Tokelau', 'TOKELAU', 'TKL', 'TK'),
('776', 'Tonga', 'TONGA', 'TON', 'TO'),
('780', 'Trinidad and Tobago', 'TRINIDAD AND TOBAGO', 'TTO', 'TT'),
('784', 'United Arab Emirates', 'UNITED ARAB EMIRATES', 'ARE', 'AE'),
('788', 'Tunisia', 'TUNISIA', 'TUN', 'TN'),
('792', 'Turkey', 'TURKEY', 'TUR', 'TR'),
('795', 'Turkmenistan', 'TURKMENISTAN', 'TKM', 'TM'),
('796', 'Turks and Caicos Islands', 'TURKS AND CAICOS ISLANDS', 'TCA', 'TC'),
('798', 'Tuvalu', 'TUVALU', 'TUV', 'TV'),
('800', 'Uganda', 'UGANDA', 'UGA', 'UG'),
('804', 'Ukraine', 'UKRAINE', 'UKR', 'UA'),
('807', 'The former Yugoslav Republic of Macedonia', 'MACEDONIA, THE FORMER YUGOSLAV REPUBLIC OF', 'MKD', 'MK'),
('818', 'Egypt', 'EGYPT', 'EGY', 'EG'),
('826', 'United Kingdom', 'UNITED KINGDOM', 'GBR', 'GB'),
('831', 'Guernsey', 'GUERNSEY', 'GGY', 'GG'),
('832', 'Jersey', 'JERSEY', 'JEY', 'JE'),
('833', 'Isle of Man', 'ISLE OF MAN', 'IMN', 'IM'),
('834', 'United Republic of Tanzania', 'TANZANIA, UNITED REPUBLIC OF', 'TZA', 'TZ'),
('840', 'United States of America', 'UNITED STATES', 'USA', 'US'),
('850', 'United States Virgin Islands', 'VIRGIN ISLANDS, U.S.', 'VIR', 'VI'),
('854', 'Burkina Faso', 'BURKINA FASO', 'BFA', 'BF'),
('858', 'Uruguay', 'URUGUAY', 'URY', 'UY'),
('860', 'Uzbekistan', 'UZBEKISTAN', 'UZB', 'UZ'),
('862', 'Venezuela (Bolivarian Republic of)', 'VENEZUELA, BOLIVARIAN REPUBLIC OF', 'VEN', 'VE'),
('876', 'Wallis and Futuna Islands', 'WALLIS AND FUTUNA', 'WLF', 'WF'),
('882', 'Samoa', 'SAMOA', 'WSM', 'WS'),
('887', 'Yemen', 'YEMEN', 'YEM', 'YE'),
('894', 'Zambia', 'ZAMBIA', 'ZMB', 'ZM'),
('90', 'Solomon Islands', 'SOLOMON ISLANDS', 'SLB', 'SB');

-- --------------------------------------------------------

--
-- Table structure for table `t_project`
--

DROP TABLE IF EXISTS `t_project`;
CREATE TABLE IF NOT EXISTS `t_project` (
  `ProjectID` bigint(20) NOT NULL,
  `ClientID` bigint(20) DEFAULT NULL,
  `Name` longtext NOT NULL,
  `Description` longtext,
  `StartDate` date DEFAULT NULL,
  `EndDate` date DEFAULT NULL,
  `Deadline` date DEFAULT NULL,
  `StatusID` bigint(20) NOT NULL,
  `ProjectLeaderID` bigint(20) DEFAULT NULL,
  PRIMARY KEY (`ProjectID`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

--
-- Dumping data for table `t_project`
--

INSERT INTO `t_project` (`ProjectID`, `ClientID`, `Name`, `Description`, `StartDate`, `EndDate`, `Deadline`, `StatusID`, `ProjectLeaderID`) VALUES
(1, 1, 'Windows 10 roll-out', 'Windows 10 roll-out', '2017-02-20', NULL, NULL, 1, NULL);

-- --------------------------------------------------------

--
-- Table structure for table `t_projectstatus`
--

DROP TABLE IF EXISTS `t_projectstatus`;
CREATE TABLE IF NOT EXISTS `t_projectstatus` (
  `ProjectStatusID` bigint(20) NOT NULL,
  `Status` longtext,
  PRIMARY KEY (`ProjectStatusID`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

--
-- Dumping data for table `t_projectstatus`
--

INSERT INTO `t_projectstatus` (`ProjectStatusID`, `Status`) VALUES
(1, 'Not started'),
(10, 'Open'),
(20, 'On hold'),
(50, 'Cancelled'),
(100, 'Completed');

-- --------------------------------------------------------

--
-- Table structure for table `t_rate`
--

DROP TABLE IF EXISTS `t_rate`;
CREATE TABLE IF NOT EXISTS `t_rate` (
  `TaskRateID` bigint(20) DEFAULT NULL,
  `ClientID` bigint(20) DEFAULT NULL,
  `ProjectID` bigint(20) DEFAULT NULL,
  `TaskID` bigint(20) DEFAULT NULL,
  `UserID` bigint(20) DEFAULT NULL,
  `RateHourly` bigint(20) DEFAULT NULL,
  `RateDaily` bigint(20) DEFAULT NULL,
  `RateMonthly` bigint(20) DEFAULT NULL,
  `OvertimeMultiplier` smallint(6) DEFAULT NULL,
  `OvertimeMultiplierSaturday` smallint(6) DEFAULT NULL,
  `OvertimeMultiplierSunday` smallint(6) DEFAULT NULL,
  `OvertimeMultiplierBankHoliday` smallint(6) DEFAULT NULL,
  `OvertimeMultiplierNonContracted` smallint(6) DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Table structure for table `t_securitylevel`
--

DROP TABLE IF EXISTS `t_securitylevel`;
CREATE TABLE IF NOT EXISTS `t_securitylevel` (
  `SecurityLevelID` bigint(20) NOT NULL,
  `SecurityLevelDescription` longtext,
  PRIMARY KEY (`SecurityLevelID`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

--
-- Dumping data for table `t_securitylevel`
--

INSERT INTO `t_securitylevel` (`SecurityLevelID`, `SecurityLevelDescription`) VALUES
(0, 'Root'),
(1, 'Global Administrator'),
(2, 'Site Administrator'),
(4, 'Client Adminisrator'),
(8, 'Agency Administrator'),
(16, 'Contractor Administrator'),
(32, 'Editor (can edit other details)'),
(64, 'Sub-editor (can edit some details)'),
(128, 'Client Line Manager'),
(256, 'Agency Line Manager'),
(65536, 'Vanilla (can edit own details)');

-- --------------------------------------------------------

--
-- Table structure for table `t_task`
--

DROP TABLE IF EXISTS `t_task`;
CREATE TABLE IF NOT EXISTS `t_task` (
  `TaskID` bigint(20) NOT NULL,
  `ProjectID` bigint(20) DEFAULT NULL,
  `Name` longtext,
  `Description` longtext,
  `StatusID` bigint(20) DEFAULT NULL,
  `PriorityID` bigint(20) DEFAULT NULL,
  PRIMARY KEY (`TaskID`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

--
-- Dumping data for table `t_task`
--

INSERT INTO `t_task` (`TaskID`, `ProjectID`, `Name`, `Description`, `StatusID`, `PriorityID`) VALUES
(1, 1, 'Windows 10 image', 'Create an image for Windows 10 Build', 1, 10),
(2, 1, 'Application Packaging', 'Package applications for Windows 10', 1, 10);

-- --------------------------------------------------------

--
-- Table structure for table `t_taskpriority`
--

DROP TABLE IF EXISTS `t_taskpriority`;
CREATE TABLE IF NOT EXISTS `t_taskpriority` (
  `TaskPriorityID` bigint(20) NOT NULL,
  `Priority` longtext,
  PRIMARY KEY (`TaskPriorityID`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

--
-- Dumping data for table `t_taskpriority`
--

INSERT INTO `t_taskpriority` (`TaskPriorityID`, `Priority`) VALUES
(1, 'Low'),
(10, 'Standard'),
(20, 'Accelerated'),
(30, 'High'),
(40, 'Emergency');

-- --------------------------------------------------------

--
-- Table structure for table `t_taskstatus`
--

DROP TABLE IF EXISTS `t_taskstatus`;
CREATE TABLE IF NOT EXISTS `t_taskstatus` (
  `TaskStatusID` bigint(20) NOT NULL,
  `Status` longtext,
  PRIMARY KEY (`TaskStatusID`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

--
-- Dumping data for table `t_taskstatus`
--

INSERT INTO `t_taskstatus` (`TaskStatusID`, `Status`) VALUES
(1, 'New'),
(10, 'Allocated'),
(20, 'In progress'),
(30, 'On hold, awaiting user input'),
(40, 'On hold, awaiting hardware'),
(50, 'On hold, awaiting software'),
(60, 'On hold, other'),
(70, 'In QA'),
(80, 'In UAT'),
(90, 'Returned to requestor'),
(100, 'Cancelled');

-- --------------------------------------------------------

--
-- Table structure for table `t_timesheet`
--

DROP TABLE IF EXISTS `t_timesheet`;
CREATE TABLE IF NOT EXISTS `t_timesheet` (
  `TimesheetID` bigint(20) NOT NULL AUTO_INCREMENT,
  `TaskID` bigint(20) NOT NULL,
  `StartDate` datetime DEFAULT NULL,
  `EndDate` datetime DEFAULT NULL,
  `UserAssignedToID` bigint(20) NOT NULL,
  `Notes` longtext,
  `SubmittedOn` datetime DEFAULT NULL,
  `AuthorisedOn` datetime DEFAULT NULL,
  `AuthorisedBy` bigint(20) DEFAULT NULL,
  `AuthoriseEmailSent` datetime DEFAULT NULL,
  PRIMARY KEY (`TimesheetID`)
) ENGINE=InnoDB AUTO_INCREMENT=4 DEFAULT CHARSET=utf8;

--
-- Dumping data for table `t_timesheet`
--

INSERT INTO `t_timesheet` (`TimesheetID`, `TaskID`, `StartDate`, `EndDate`, `UserAssignedToID`, `Notes`, `SubmittedOn`, `AuthorisedOn`, `AuthorisedBy`, `AuthoriseEmailSent`) VALUES
(1, 1, '2017-02-20 11:15:00', '2017-02-20 15:50:00', 1, NULL, '2017-02-20 16:10:00', NULL, NULL, NULL),
(2, 2, '2017-02-22 08:30:00', '2017-02-22 11:15:00', 1, '', '2017-02-22 22:07:00', '2017-02-22 22:07:00', 1, '2017-02-22 22:07:00'),
(3, 1, '2017-02-23 08:05:00', '2017-02-23 10:25:00', 1, '', '2017-02-22 22:07:00', '2017-02-22 22:07:00', 1, '2017-02-22 22:07:00');

-- --------------------------------------------------------

--
-- Table structure for table `t_user`
--

DROP TABLE IF EXISTS `t_user`;
CREATE TABLE IF NOT EXISTS `t_user` (
  `UserID` bigint(20) NOT NULL,
  `FirstName` longtext,
  `LastName` longtext,
  `SecurityLevelID` bigint(20) NOT NULL,
  `AccessLevel` bigint(20) DEFAULT NULL,
  `Password` longtext,
  `Email` longtext,
  `StatusID` bigint(20) NOT NULL,
  PRIMARY KEY (`UserID`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

--
-- Dumping data for table `t_user`
--

INSERT INTO `t_user` (`UserID`, `FirstName`, `LastName`, `SecurityLevelID`, `AccessLevel`, `Password`, `Email`, `StatusID`) VALUES
(1, 'Joe', 'User', 0, 0, '123', 'joe.user@hotmail.com', 10);

-- --------------------------------------------------------

--
-- Table structure for table `t_userstatus`
--

DROP TABLE IF EXISTS `t_userstatus`;
CREATE TABLE IF NOT EXISTS `t_userstatus` (
  `UserStatusID` bigint(20) NOT NULL,
  `Status` longtext,
  PRIMARY KEY (`UserStatusID`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

--
-- Dumping data for table `t_userstatus`
--

INSERT INTO `t_userstatus` (`UserStatusID`, `Status`) VALUES
(1, 'New'),
(10, 'Current'),
(20, 'Retired');

/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;
/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;
